package com.ruoyi.web.controller.board;

import com.ruoyi.board.domain.BoardInfo;
import com.ruoyi.board.service.BoardInfoService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * 情报板信息(pub_board_info)表控制层
 *
 * @author fuhao
 */
@RestController
@RequestMapping("/board")
public class BoardInfoController extends BaseController {
    /**
     * 服务对象
     */
    @Autowired
    private BoardInfoService boardInfoService;

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping
    public BoardInfo selectOne(Integer id) {
        return boardInfoService.getById(id);
    }

    @GetMapping("/list")
    public TableDataInfo methodsName() {
        startPage();
        List<BoardInfo> list = boardInfoService.list();
        return getDataTable(list);
    }

    @PostMapping
    public AjaxResult addBoard(BoardInfo boardInfo){
        boardInfoService.save(boardInfo);
        return null;
    }

    @PutMapping
    public AjaxResult updateBoard(BoardInfo boardInfo){
        boardInfoService.updateById(boardInfo);
        return null;
    }

    @DeleteMapping
    public AjaxResult delBoard(BoardInfo boardInfo){
        boardInfoService.removeById(boardInfo);
        return null;
    }

}
